Page MenuHomePhabricator

Complete and announce initial production deployment of Toolhub
Closed, ResolvedPublic

Description

Talk to folks and plan for a Thursday October 14, 2021 production deployment.

Prepare announcements:

  • Get [[m:Toolhub]] marked for translation (@bd808)
  • Draft main announcement email (@Bmueller, @bd808)
  • Draft short announcements for social media, irc, etc (@bd808)
  • Draft translatable short text for mass message/community use on meta (@bd808, @sdkim)

Deploy:

Send announcements:

Related Objects

StatusSubtypeAssignedTask
OpenNone
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolved Marostegui
DuplicateNone
Resolvedbd808
OpenNone
ResolvedBUG REPORTbd808
Resolvedbd808
Resolvedsbassett
Resolvedbd808
Resolvedbd808
OpenNone
OpenNone
Resolvedbd808
Resolvedbd808
Resolvedbd808
OpenNone
Resolvedbd808
ResolvedJdforrester-WMF
OpenNone
Resolvedbd808
Resolvedbd808
Resolvedbd808
DeclinedNone
Resolvedbd808
Resolvedbd808
Resolvedbd808
ResolvedLegoktm
ResolvedLegoktm
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
OpenNone
Resolvedbd808

Event Timeline

bd808 raised the priority of this task from Medium to High.Mar 21 2021, 10:52 PM
bd808 changed Due Date from Jun 1 2021, 12:00 AM to Aug 19 2021, 12:00 AM.
bd808 renamed this task from Prepare for production deployment to Prepare for production deployment of Toolhub.Apr 21 2021, 10:31 PM
bd808 changed Due Date from Aug 19 2021, 12:00 AM to Aug 12 2021, 12:00 AM.

The arbitrary 2021-08-12 deadline will not be achieved. I will attempt to find a new reasonable deadline, but not until after Wikimania 2021 has concluded. With the progress that has been made in the last two weeks I am hopeful that there are only a small number of decisions left to be made and implemented.

bd808 renamed this task from Prepare for production deployment of Toolhub to Complete and announce initial production deployment of Toolhub.Oct 7 2021, 4:36 PM
bd808 claimed this task.
bd808 updated the task description. (Show Details)
bd808 changed Due Date from Aug 12 2021, 12:00 AM to Oct 13 2021, 12:00 AM.
bd808 changed Due Date from Oct 13 2021, 12:00 AM to Oct 13 2021, 8:00 PM.Oct 7 2021, 4:37 PM
bd808 updated the task description. (Show Details)

Change 729802 had a related patch set uploaded (by BryanDavis; author: Bryan Davis):

[wikimedia/toolhub@main] Bump project version to 1.0.0

https://gerrit.wikimedia.org/r/729802

Change 729802 merged by jenkins-bot:

[wikimedia/toolhub@main] Bump project version to 1.0.0

https://gerrit.wikimedia.org/r/729802

bd808 updated the task description. (Show Details)